Loading...
Searching...
No Matches
casacore::AsciiTableExtension Class Reference
fits package (libcasa_fits) » FITS_module

(ascii) TABLE extension More...

`#include <hdu.h>`

## Public Member Functions

| AsciiTableExtension (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| AsciiTableExtension (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| AsciiTableExtension (FITSErrorHandler errhandler=FITSError::defaultHandler)
| ~AsciiTableExtension ()
Int | tbcol (int n)
| position in which column starts
char * | tnull (int n)
| ascii string that represents the NULL value
int | write_ascTbl_hdr (FitsOutput &, long, long, int, const char **, long *, const char **, const char **, const char *e)
| write the required keywords for ASCIITableExtension
Public Member Functions inherited from casacore::BinaryTableExtension
| BinaryTableExtension (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| BinaryTableExtension (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| BinaryTableExtension (FITSErrorHandler errhandler=FITSError::defaultHandler)
| constructor to match write_bintbl_hdr()
virtual | ~BinaryTableExtension ()
Int | nrows () const
| return basic elements of a table
Int | ncols () const
uInt | rowsize () const
Int | tfields () const
const char * | tform (int n) const
double | tscal (int n) const
double | tzero (int n) const
Bool | isatnull (int n) const
Int | tnull (int n) const
const char * | ttype (int n) const
const char * | tunit (int n) const
const char * | tdisp (int n) const
const char * | tdim (int n) const
const char * | ctype (int n) const
double | crpix (int n) const
double | crota (int n) const
double | crval (int n) const
double | cdelt (int n) const
Int | theap () const
const char * | author () const
const char * | referenc () const
int | bind (int, FitsBase &)
| binds a FitsField to a column
BinaryTableExtension & | operator++ ()
| row selector functions
BinaryTableExtension & | operator-- ()
BinaryTableExtension & | operator() (int)
int | read ()
| read entire table into memory
int | read (int)
| read next N rows into memory
int | set_next (int)
| prepare to write the next N rows
int | write (FitsOutput &)
| write current rows
int | write_binTbl_hdr (FitsOutput &, long, int, const char **, const char **, const char **, const char *, long)
| create a binary table header without using FitsKeywordList objet.
FitsBase & | field (int i) const
| select a field
Int | currrow () const
| get current row
Public Member Functions inherited from casacore::ExtensionHeaderDataUnit
| ExtensionHeaderDataUnit (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ~ExtensionHeaderDataUnit ()
char * | xtension ()
char * | extname ()
Int | extver ()
Int | extlevel ()
Int | pcount ()
Int | gcount ()
int | read (char *addr, int nbytes)
| read next N bytes into addr
int | write (FitsOutput &fout, char *addr, int nbytes)
| write next N bytes from addr to the FITS output fout
Public Member Functions inherited from casacore::HeaderDataUnit
virtual | ~HeaderDataUnit ()
Int | dims () const
Int | dim (int n) const
OFF_T | fitsdatasize () const
FITS::ValueType | datatype () const
Int | fitsitemsize () const
Int | localitemsize () const
FITS::HDUType | hdutype () const
int | err () const
int | skip (uInt n)
| skipping one or more HDU's
int | skip ()
int | write_hdr (FitsOutput &)
| write the current header
ConstFitsKeywordList & | kwlist ()
| Operations on the HDU's keyword list.
Vector< String > | kwlist_str (Bool length80=False)
| return the header of the chdu as a vector of String.
void | firstkw ()
void | lastkw ()
const FitsKeyword * | nextkw ()
const FitsKeyword * | prevkw ()
const FitsKeyword * | currkw ()
const FitsKeyword * | kw (int n)
const FitsKeyword * | kw (const FITS::ReservedName &n)
const FitsKeyword * | nextkw (FITS::ReservedName &n)
const FitsKeyword * | kw (FITS::ReservedName &n, int i)
const FitsKeyword * | nextkw (FITS::ReservedName &n, int i)
const FitsKeyword * | kw (const char *n)
const FitsKeyword * | nextkw (const char *n)
void | mk (FITS::ReservedName k, Bool v, const char *c=0)
void | mk (FITS::ReservedName k, const char *v=0, const char *c=0)
void | mk (FITS::ReservedName k, Int v, const char *c=0)
void | mk (FITS::ReservedName k, double v, const char *c=0)
void | mk (int n, FITS::ReservedName k, Bool v, const char *c=0)
void | mk (int n, FITS::ReservedName k, const char *v, const char *c=0)
void | mk (int n, FITS::ReservedName k, Int v, const char *c=0)
void | mk (int n, FITS::ReservedName k, double v, const char *c=0)
void | mk (const char *n, Bool v, const char *c=0)
void | mk (const char *n, const char *v=0, const char *c=0)
void | mk (const char *n, Int v, const char *c=0)
void | mk (const char *n, float v, const char *c=0)
void | mk (const char *n, double v, const char *c=0)
void | mk (const char *n, Int r, Int i, const char *c=0)
void | mk (const char *n, float r, float i, const char *c=0)
void | mk (const char *n, double r, double i, const char *c=0)
void | spaces (const char *n=0, const char *c=0)
void | comment (const char *n=0, const char *c=0)
void | history (const char *c=0)
Bool | notnull (double x) const
Bool | notnull (char *s) const
Bool | notnull (Int l) const
int | get_hdr (FITS::HDUType, FitsKeywordList &)
int | read_data (char *, Int)
int | write_data (FitsOutput &, char *, Int)
OFF_T | read_all_data (char *)
int | write_all_data (FitsOutput &, char *)

## Protected Member Functions

int | readrow ()
| read and write the next FITS data row
int | writerow (FitsOutput &)
Protected Member Functions inherited from casacore::BinaryTableExtension
| BinaryTableExtension (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| sets field addresses in the current row void set_fitsrow(Int);
| BinaryTableExtension (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| BinaryTableExtension (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
void | set_fitsrow (Int)
| sets field addresses in the current row
Protected Member Functions inherited from casacore::ExtensionHeaderDataUnit
| ExtensionHeaderDataUnit (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| This constructor is used for writing only required keywords.
Protected Member Functions inherited from casacore::HeaderDataUnit
| HeaderDataUnit (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| For input – ~ should delete the keyword list: kwflag = 1.
| HeaderDataUnit (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler, FitsInput *=0)
| For output – ~ should not delete keyword list: kwflag = 0 07/21/98 AKH Clarification: HeaderDataUnit has a copy of the FitsKeywordList, and should delete it.
| HeaderDataUnit (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler, FitsInput *=0)
| constructor for objects that write only required keyword to fits file.
bool | init_data_unit (FITS::HDUType t)
| for write required keywords only to use.
void | posEnd ()
void | errmsg (HDUErrs, const char *)
char * | assign (FITS::ReservedName)
char * | assign (FITS::ReservedName, int)
double | asgdbl (FITS::ReservedName, double)
double | asgdbl (FITS::ReservedName, int, double)

## Protected Attributes

Int * | tbcol_x
char ** | tnulla_x
uInt * | fits_width
char ** | format
Protected Attributes inherited from casacore::BinaryTableExtension
Int | tfields_x
char ** | tform_x
double * | tscal_x
double * | tzero_x
Bool * | isatnull_x
Int * | tnull_x
char ** | ttype_x
char ** | tunit_x
char ** | tdisp_x
char ** | tdim_x
char ** | ctype_x
double * | crpix_x
double * | crota_x
double * | crval_x
double * | cdelt_x
Int | nAxis
Int | theap_x
char * | author_x
char * | referenc_x
unsigned char * | fitsrow
uInt * | fits_offset
uInt | fitsrowsize
Bool | isoptimum
unsigned char * | table
uInt | tablerowsize
uInt | alloc_row
Int | beg_row
Int | end_row
Int | curr_row
FitsBase ** | fld
uInt * | table_offset
void ** | data_addr
| data addresses of fields of current row
Protected Attributes inherited from casacore::ExtensionHeaderDataUnit
char * | xtension_x
char * | extname_x
Int | extver_x
Int | extlevel_x
Int | pcount_x
Int | gcount_x
Protected Attributes inherited from casacore::HeaderDataUnit
FitsKeywordList & | kwlist_
ConstFitsKeywordList | constkwlist_
FitsInput * | fin
FITSErrorHandler | errfn
HDUErrs | err_status
Int | no_dims
Int * | dimn
OFF_T | fits_data_size
| uInt fits_data_size; // size in bytes of total amount of data
FITS::ValueType | data_type
Int | fits_item_size
Int | local_item_size
FITS::HDUType | hdu_type
char | pad_char
double | double_null
char | char_null
Int | Int_null

## Private Member Functions

void | at_assign ()

## Additional Inherited Members

Public Types inherited from casacore::HeaderDataUnit
enum | HDUErrs { OK , NOMEM , MISSKEY , BADBITPIX , NOAXISN , NOPCOUNT , NOGCOUNT , BADPCOUNT , BADGCOUNT , NOGROUPS , BADNAXIS , BADREC , BADTYPE , BADRULES , BADSIZE , BADOPER , BADCONV , BADIO }
| error handling and error codes that can be returned More...
Static Public Member Functions inherited from casacore::HeaderDataUnit
static Bool | determine_type (FitsKeywordList &, FITS::HDUType &, FITS::ValueType &, FITSErrorHandler, HDUErrs &)
| Determines the HDU type and the data type Parameterss: keyword list, hdu type, data type, error handler and error status.
static Bool | compute_size (FitsKeywordList &, OFF_T &, Int &, FITS::HDUType &, FITS::ValueType &, FITSErrorHandler, HDUErrs &)
| Compute the total size of the data associated with an HDU.

## Detailed Description

(ascii) TABLE extension

Definition at line 1158 of file hdu.h.

## Constructor & Destructor Documentation

## AsciiTableExtension() [1/3]

casacore::AsciiTableExtension::AsciiTableExtension | ( | FitsInput & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

References casacore::FITSError::defaultHandler().

## AsciiTableExtension() [2/3]

casacore::AsciiTableExtension::AsciiTableExtension | ( | FitsKeywordList & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

References casacore::FITSError::defaultHandler().

## AsciiTableExtension() [3/3]

casacore::AsciiTableExtension::AsciiTableExtension | ( | FITSErrorHandler | errhandler = FITSError::defaultHandler | ) |

References casacore::FITSError::defaultHandler().

## ~AsciiTableExtension()

casacore::AsciiTableExtension::~AsciiTableExtension | ( |  | ) |

## Member Function Documentation

## at_assign()

void casacore::AsciiTableExtension::at_assign | ( |  | ) |

private

## readrow()

int casacore::AsciiTableExtension::readrow | ( |  | ) |

protected virtual

read and write the next FITS data row

Reimplemented from casacore::BinaryTableExtension.

## tbcol()

Int casacore::AsciiTableExtension::tbcol | ( | int | n | ) |

inline

position in which column starts

Definition at line 1170 of file hdu.h.

References tbcol_x.

## tnull()

char * casacore::AsciiTableExtension::tnull | ( | int | n | ) |

inline

ascii string that represents the NULL value

Definition at line 1172 of file hdu.h.

References tnulla_x.

## write_ascTbl_hdr()

int casacore::AsciiTableExtension::write_ascTbl_hdr | ( | FitsOutput & | ,
|  | long | ,
|  | long | ,
|  | int | ,
|  | const char ** | ,
|  | long * | ,
|  | const char ** | ,
|  | const char ** | ,
|  | const char * | e )

write the required keywords for ASCIITableExtension

## writerow()

int casacore::AsciiTableExtension::writerow | ( | FitsOutput & |  | ) |

protected virtual

Reimplemented from casacore::BinaryTableExtension.

## Member Data Documentation

## fits_width

uInt* casacore::AsciiTableExtension::fits_width

protected

Definition at line 1181 of file hdu.h.

## format

char** casacore::AsciiTableExtension::format

protected

Definition at line 1182 of file hdu.h.

## tbcol_x

Int* casacore::AsciiTableExtension::tbcol_x

protected

Definition at line 1179 of file hdu.h.

Referenced by tbcol().

## tnulla_x

char** casacore::AsciiTableExtension::tnulla_x

protected

Definition at line 1180 of file hdu.h.

Referenced by tnull().

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h